Bug 614742 - perl package corrupted
perl package corrupted
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: perl (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: perl-maint-list
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 02:48 EDT by Tomas Pelka
Modified: 2010-07-15 05:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 05:15:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Pelka 2010-07-15 02:48:05 EDT
Description of problem:
Seems that Perl package is corrupted.

Version-Release number of selected component (if applicable):
perl-5.10.1-113.el6

How reproducible:
100%

Steps to Reproduce:
1. rpm -ihv --force perl-5.10.1-113.el6.x86_64.rpm
2.
3.
  
Actual results:
error: unpacking of archive failed on file /usr/share/man/man1/perl586delta.1.gz;4c3e90f5: cpio: read failed - Bad file descriptor

Expected results:
no errors

Additional info:
Comment 4 Marcela Mašláňová 2010-07-15 04:59:56 EDT
 rpm -ivh --force perl-5.10.1-113.el6.x86_64.rpm 
Preparing...                ########################################### [100%]
   1:perl                   ########################################### [100%]

I have this package from rhel6 repository and rewritten by package downloaded from brew. Also rpm -V perl doesn't show any problems. Could you still reproduce?
Comment 5 Petr Pisar 2010-07-15 05:00:44 EDT
Can not reproduce too.

I just done upgrade to this perl version. I downloaded the package from brew
and reinstalled with reproducer command you provided. Everything work Ok.

Are you sure you package has not been corrupted during transfer or by storage
medium failure? My package has this MD5 sum:

# md5sum -b  perl-5.10.1-113.el6.x86_64.rpm 
b194c2722da4eaf992d83461c50dc5ca *perl-5.10.1-113.el6.x86_64.rpm
Comment 6 Tomas Pelka 2010-07-15 05:15:03 EDT
Strange 
# md5sum -b  perl-5.10.1-113.el6.x86_64.rpm
27228dedb61d3877be924f02503def03 *perl-5.10.1-113.el6.x86_64.rpm

So the package was corrupted during download. Works fine with package downloaded directly from brew.

Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.